import { CacheStorageConfig } from "backfill-cache";
export declare type WatchGlobs = {
    folders: {
        include: string[];
        exclude: string[];
    };
    files: {
        include: string[];
        exclude?: string[];
    };
};
export declare type Config = {
    name: string;
    packageRoot: string;
    cacheStorageConfig: CacheStorageConfig;
    folderToCache: string;
    useTelemetry: boolean;
    localCacheFolder: string;
    hashFileFolder: string;
    telemetryFileFolder: string;
    telemetryReportName?: string;
    verboseLogs: boolean;
    watchGlobs: WatchGlobs;
};
export declare type ConfigEnv = {
    cacheStorageConfig?: CacheStorageConfig;
    useTelemetry?: boolean;
    localCacheFolder?: string;
    telemetryFileFolder?: string;
    telemetryReportName?: string;
};
export declare function getName(packageRoot: string): any;
export declare function getEnvConfig(): ConfigEnv;
export declare function getSearchPaths(): string[];
export declare function createDefaultConfig(): Config;
export declare function createConfig(): Config;
//# sourceMappingURL=config.d.ts.map