import { IDependencyResolver } from "./dependencyResolver";
export interface IHasher {
    createPackageHash: () => Promise<string>;
}
declare type HasherOptions = {
    [key: string]: any;
};
export declare function createHash(strings: string | string[]): Promise<string>;
export declare class Hasher implements IHasher {
    private options;
    private buildCommandSignature;
    private dependencyResolver;
    hashFileFolder: string;
    packageRoot: string;
    constructor(options: HasherOptions, buildCommandSignature: string, dependencyResolver: IDependencyResolver);
    private getPackagePath;
    private getHashFilePath;
    private isInternalPackage;
    private createFallbackPackageHash;
    private getPackageHash;
    private getHashOfLockFile;
    getHashOfDependencies(dependencies: string[]): Promise<string | undefined>[];
    private getHashOfOwnFiles;
    private writeHashToDisk;
    createPackageHash(): Promise<string>;
}
export {};
//# sourceMappingURL=hasher.d.ts.map